Package org.eclipse.cdt.utils.macho

## Class MachO.MachOhdr

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO.MachOhdr

Enclosing class:
  MachO

    public class MachO.MachOhdr
    extends Object

### Field Summary

Fields
`static int` `CPU_SUBTYPE_386`
`static int` `CPU_SUBTYPE_486`
`static int` `CPU_SUBTYPE_486SX`
`static int` `CPU_SUBTYPE_586`
`static int` `CPU_SUBTYPE_BIG_ENDIAN`
`static int` `CPU_SUBTYPE_HPPA_7100`
`static int` `CPU_SUBTYPE_HPPA_7100LC`
`static int` `CPU_SUBTYPE_HPPA_ALL`
`static int` `CPU_SUBTYPE_I386_ALL`
`static int` `CPU_SUBTYPE_I860_860`
`static int` `CPU_SUBTYPE_I860_ALL`
`static int` `CPU_SUBTYPE_LITTLE_ENDIAN`
`static int` `CPU_SUBTYPE_MC68030`
`static int` `CPU_SUBTYPE_MC68030_ONLY`
`static int` `CPU_SUBTYPE_MC68040`
`static int` `CPU_SUBTYPE_MC680x0_ALL`
`static int` `CPU_SUBTYPE_MC88000_ALL`
`static int` `CPU_SUBTYPE_MC88100`
`static int` `CPU_SUBTYPE_MC88110`
`static int` `CPU_SUBTYPE_MC98000_ALL`
`static int` `CPU_SUBTYPE_MC98601`
`static int` `CPU_SUBTYPE_MIPS_ALL`
`static int` `CPU_SUBTYPE_MIPS_R2000`
`static int` `CPU_SUBTYPE_MIPS_R2000a`
`static int` `CPU_SUBTYPE_MIPS_R2300`
`static int` `CPU_SUBTYPE_MIPS_R2600`
`static int` `CPU_SUBTYPE_MIPS_R2800`
`static int` `CPU_SUBTYPE_MIPS_R3000`
`static int` `CPU_SUBTYPE_MIPS_R3000a`
`static int` `CPU_SUBTYPE_MULTIPLE`
`static int` `CPU_SUBTYPE_PENT`
`static int` `CPU_SUBTYPE_PENTII_M3`
`static int` `CPU_SUBTYPE_PENTII_M5`
`static int` `CPU_SUBTYPE_PENTPRO`
`static int` `CPU_SUBTYPE_POWERPC_601`
`static int` `CPU_SUBTYPE_POWERPC_602`
`static int` `CPU_SUBTYPE_POWERPC_603`
`static int` `CPU_SUBTYPE_POWERPC_603e`
`static int` `CPU_SUBTYPE_POWERPC_603ev`
`static int` `CPU_SUBTYPE_POWERPC_604`
`static int` `CPU_SUBTYPE_POWERPC_604e`
`static int` `CPU_SUBTYPE_POWERPC_620`
`static int` `CPU_SUBTYPE_POWERPC_7400`
`static int` `CPU_SUBTYPE_POWERPC_7450`
`static int` `CPU_SUBTYPE_POWERPC_750`
`static int` `CPU_SUBTYPE_POWERPC_970`
`static int` `CPU_SUBTYPE_POWERPC_ALL`
`static int` `CPU_SUBTYPE_SPARC_ALL`
`static int` `CPU_SUBTYPE_UVAXI`
`static int` `CPU_SUBTYPE_UVAXII`
`static int` `CPU_SUBTYPE_UVAXIII`
`static int` `CPU_SUBTYPE_VAX_ALL`
`static int` `CPU_SUBTYPE_VAX730`
`static int` `CPU_SUBTYPE_VAX750`
`static int` `CPU_SUBTYPE_VAX780`
`static int` `CPU_SUBTYPE_VAX785`
`static int` `CPU_SUBTYPE_VAX8200`
`static int` `CPU_SUBTYPE_VAX8500`
`static int` `CPU_SUBTYPE_VAX8600`
`static int` `CPU_SUBTYPE_VAX8650`
`static int` `CPU_SUBTYPE_VAX8800`
`static int` `CPU_TYPE_ANY`
`static int` `CPU_TYPE_HPPA`
`static int` `CPU_TYPE_I386`
`static int` `CPU_TYPE_I860`
`static int` `CPU_TYPE_MC680x0`
`static int` `CPU_TYPE_MC88000`
`static int` `CPU_TYPE_MC98000`
`static int` `CPU_TYPE_POWERPC`
`static int` `CPU_TYPE_SPARC`
`static int` `CPU_TYPE_VAX`
`int` `cpusubtype`
`int` `cputype`
`int` `filetype`
`int` `flags`
`int` `magic`
`static int` `MH_BINDATLOAD`
`static int` `MH_BUNDLE`
`static int` `MH_CIGAM`
`static int` `MH_CORE`
`static int` `MH_DYLDLINK`
`static int` `MH_DYLIB`
`static int` `MH_DYLIB_STUB`
`static int` `MH_DYLINKER`
`static int` `MH_EXECUTE`
`static int` `MH_FORCE_FLAT`
`static int` `MH_FVMLIB`
`static int` `MH_INCRLINK`
`static int` `MH_LAZY_INIT`
`static int` `MH_MAGIC`
`static int` `MH_NOFIXPREBINDING`
`static int` `MH_NOMULTIDEFS`
`static int` `MH_NOUNDEFS`
`static int` `MH_OBJECT`
`static int` `MH_PREBOUND`
`static int` `MH_PRELOAD`
`static int` `MH_SPLIT_SEGS`
`static int` `MH_TWOLEVEL`
`static int` `MH_UNIVERSAL`
`int` `ncmds`
`int` `sizeofcmds`

### Constructor Summary

Constructors
`protected` `MachOhdr()`
`protected` `MachOhdr​(byte[] bytes)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MH_MAGIC

    public static final int MH_MAGIC

See Also:
  Constant Field Values

#### MH_CIGAM

    public static final int MH_CIGAM

See Also:
  Constant Field Values

#### MH_UNIVERSAL

    public static final int MH_UNIVERSAL

See Also:
  Constant Field Values

#### CPU_TYPE_ANY

    public static final int CPU_TYPE_ANY

See Also:
  Constant Field Values

#### CPU_TYPE_VAX

    public static final int CPU_TYPE_VAX

See Also:
  Constant Field Values

#### CPU_TYPE_MC680x0

    public static final int CPU_TYPE_MC680x0

See Also:
  Constant Field Values

#### CPU_TYPE_I386

    public static final int CPU_TYPE_I386

See Also:
  Constant Field Values

#### CPU_TYPE_MC98000

    public static final int CPU_TYPE_MC98000

See Also:
  Constant Field Values

#### CPU_TYPE_HPPA

    public static final int CPU_TYPE_HPPA

See Also:
  Constant Field Values

#### CPU_TYPE_MC88000

    public static final int CPU_TYPE_MC88000

See Also:
  Constant Field Values

#### CPU_TYPE_SPARC

    public static final int CPU_TYPE_SPARC

See Also:
  Constant Field Values

#### CPU_TYPE_I860

    public static final int CPU_TYPE_I860

See Also:
  Constant Field Values

#### CPU_TYPE_POWERPC

    public static final int CPU_TYPE_POWERPC

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MULTIPLE

    public static final int CPU_SUBTYPE_MULTIPLE

See Also:
  Constant Field Values

#### CPU_SUBTYPE_LITTLE_ENDIAN

    public static final int CPU_SUBTYPE_LITTLE_ENDIAN

See Also:
  Constant Field Values

#### CPU_SUBTYPE_BIG_ENDIAN

    public static final int CPU_SUBTYPE_BIG_ENDIAN

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX_ALL

    public static final int CPU_SUBTYPE_VAX_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX780

    public static final int CPU_SUBTYPE_VAX780

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX785

    public static final int CPU_SUBTYPE_VAX785

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX750

    public static final int CPU_SUBTYPE_VAX750

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX730

    public static final int CPU_SUBTYPE_VAX730

See Also:
  Constant Field Values

#### CPU_SUBTYPE_UVAXI

    public static final int CPU_SUBTYPE_UVAXI

See Also:
  Constant Field Values

#### CPU_SUBTYPE_UVAXII

    public static final int CPU_SUBTYPE_UVAXII

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX8200

    public static final int CPU_SUBTYPE_VAX8200

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX8500

    public static final int CPU_SUBTYPE_VAX8500

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX8600

    public static final int CPU_SUBTYPE_VAX8600

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX8650

    public static final int CPU_SUBTYPE_VAX8650

See Also:
  Constant Field Values

#### CPU_SUBTYPE_VAX8800

    public static final int CPU_SUBTYPE_VAX8800

See Also:
  Constant Field Values

#### CPU_SUBTYPE_UVAXIII

    public static final int CPU_SUBTYPE_UVAXIII

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC680x0_ALL

    public static final int CPU_SUBTYPE_MC680x0_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC68030

    public static final int CPU_SUBTYPE_MC68030

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC68040

    public static final int CPU_SUBTYPE_MC68040

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC68030_ONLY

    public static final int CPU_SUBTYPE_MC68030_ONLY

See Also:
  Constant Field Values

#### CPU_SUBTYPE_I386_ALL

    public static final int CPU_SUBTYPE_I386_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_386

    public static final int CPU_SUBTYPE_386

See Also:
  Constant Field Values

#### CPU_SUBTYPE_486

    public static final int CPU_SUBTYPE_486

See Also:
  Constant Field Values

#### CPU_SUBTYPE_486SX

    public static final int CPU_SUBTYPE_486SX

See Also:
  Constant Field Values

#### CPU_SUBTYPE_586

    public static final int CPU_SUBTYPE_586

See Also:
  Constant Field Values

#### CPU_SUBTYPE_PENT

    public static final int CPU_SUBTYPE_PENT

See Also:
  Constant Field Values

#### CPU_SUBTYPE_PENTPRO

    public static final int CPU_SUBTYPE_PENTPRO

See Also:
  Constant Field Values

#### CPU_SUBTYPE_PENTII_M3

    public static final int CPU_SUBTYPE_PENTII_M3

See Also:
  Constant Field Values

#### CPU_SUBTYPE_PENTII_M5

    public static final int CPU_SUBTYPE_PENTII_M5

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_ALL

    public static final int CPU_SUBTYPE_MIPS_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R2300

    public static final int CPU_SUBTYPE_MIPS_R2300

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R2600

    public static final int CPU_SUBTYPE_MIPS_R2600

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R2800

    public static final int CPU_SUBTYPE_MIPS_R2800

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R2000a

    public static final int CPU_SUBTYPE_MIPS_R2000a

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R2000

    public static final int CPU_SUBTYPE_MIPS_R2000

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R3000a

    public static final int CPU_SUBTYPE_MIPS_R3000a

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MIPS_R3000

    public static final int CPU_SUBTYPE_MIPS_R3000

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC98000_ALL

    public static final int CPU_SUBTYPE_MC98000_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC98601

    public static final int CPU_SUBTYPE_MC98601

See Also:
  Constant Field Values

#### CPU_SUBTYPE_HPPA_ALL

    public static final int CPU_SUBTYPE_HPPA_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_HPPA_7100

    public static final int CPU_SUBTYPE_HPPA_7100

See Also:
  Constant Field Values

#### CPU_SUBTYPE_HPPA_7100LC

    public static final int CPU_SUBTYPE_HPPA_7100LC

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC88000_ALL

    public static final int CPU_SUBTYPE_MC88000_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC88100

    public static final int CPU_SUBTYPE_MC88100

See Also:
  Constant Field Values

#### CPU_SUBTYPE_MC88110

    public static final int CPU_SUBTYPE_MC88110

See Also:
  Constant Field Values

#### CPU_SUBTYPE_SPARC_ALL

    public static final int CPU_SUBTYPE_SPARC_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_I860_ALL

    public static final int CPU_SUBTYPE_I860_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_I860_860

    public static final int CPU_SUBTYPE_I860_860

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_ALL

    public static final int CPU_SUBTYPE_POWERPC_ALL

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_601

    public static final int CPU_SUBTYPE_POWERPC_601

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_602

    public static final int CPU_SUBTYPE_POWERPC_602

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_603

    public static final int CPU_SUBTYPE_POWERPC_603

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_603e

    public static final int CPU_SUBTYPE_POWERPC_603e

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_603ev

    public static final int CPU_SUBTYPE_POWERPC_603ev

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_604

    public static final int CPU_SUBTYPE_POWERPC_604

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_604e

    public static final int CPU_SUBTYPE_POWERPC_604e

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_620

    public static final int CPU_SUBTYPE_POWERPC_620

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_750

    public static final int CPU_SUBTYPE_POWERPC_750

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_7400

    public static final int CPU_SUBTYPE_POWERPC_7400

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_7450

    public static final int CPU_SUBTYPE_POWERPC_7450

See Also:
  Constant Field Values

#### CPU_SUBTYPE_POWERPC_970

    public static final int CPU_SUBTYPE_POWERPC_970

See Also:
  Constant Field Values

#### MH_OBJECT

    public static final int MH_OBJECT

See Also:
  Constant Field Values

#### MH_EXECUTE

    public static final int MH_EXECUTE

See Also:
  Constant Field Values

#### MH_FVMLIB

    public static final int MH_FVMLIB

See Also:
  Constant Field Values

#### MH_CORE

    public static final int MH_CORE

See Also:
  Constant Field Values

#### MH_PRELOAD

    public static final int MH_PRELOAD

See Also:
  Constant Field Values

#### MH_DYLIB

    public static final int MH_DYLIB

See Also:
  Constant Field Values

#### MH_DYLINKER

    public static final int MH_DYLINKER

See Also:
  Constant Field Values

#### MH_BUNDLE

    public static final int MH_BUNDLE

See Also:
  Constant Field Values

#### MH_DYLIB_STUB

    public static final int MH_DYLIB_STUB

See Also:
  Constant Field Values

#### MH_NOUNDEFS

    public static final int MH_NOUNDEFS

See Also:
  Constant Field Values

#### MH_INCRLINK

    public static final int MH_INCRLINK

See Also:
  Constant Field Values

#### MH_DYLDLINK

    public static final int MH_DYLDLINK

See Also:
  Constant Field Values

#### MH_BINDATLOAD

    public static final int MH_BINDATLOAD

See Also:
  Constant Field Values

#### MH_PREBOUND

    public static final int MH_PREBOUND

See Also:
  Constant Field Values

#### MH_SPLIT_SEGS

    public static final int MH_SPLIT_SEGS

See Also:
  Constant Field Values

#### MH_LAZY_INIT

    public static final int MH_LAZY_INIT

See Also:
  Constant Field Values

#### MH_TWOLEVEL

    public static final int MH_TWOLEVEL

See Also:
  Constant Field Values

#### MH_FORCE_FLAT

    public static final int MH_FORCE_FLAT

See Also:
  Constant Field Values

#### MH_NOMULTIDEFS

    public static final int MH_NOMULTIDEFS

See Also:
  Constant Field Values

#### MH_NOFIXPREBINDING

    public static final int MH_NOFIXPREBINDING

See Also:
  Constant Field Values

#### magic

    public int magic

#### cputype

    public int cputype

#### cpusubtype

    public int cpusubtype

#### filetype

    public int filetype

#### ncmds

    public int ncmds

#### sizeofcmds

    public int sizeofcmds

#### flags

    public int flags

### Constructor Detail

#### MachOhdr

    protected MachOhdr()
                throws IOException

Throws:
  `IOException`

#### MachOhdr

    protected MachOhdr​(byte[] bytes)
                throws IOException

Throws:
  `IOException`